using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LLNet.Tienda.MainForms.Forms
{
    public partial class dlgDonaciones : LLNet.GUI.FormBases.frmBase
    {
        public dlgDonaciones()
        {
            InitializeComponent();

            GUI.CApp.TraducirForm(this);
        }

        private decimal beneficiario;

        public decimal Beneficiario
        {
            get { return beneficiario; }
        }

        private void dlgDonaciones_Load(object sender, EventArgs e)
        {
            Utils.QueryParams qp = new LLNet.Utils.QueryParams();
            qp.AddReplaceParam("RV_DOMAIN", "BENEFICIARIO DONACION");
            Utils.Helpers.Merge(GUI.CApp.bll.getTypedDataSet(dsDonadores.GetType(), dsDonadores.DOMAINS.TableName, qp), dsDonadores);
        }

        private void btnAceptar_Click(object sender, EventArgs e)
        {
            if (lbcDonador.SelectedValue != null)
            {
                beneficiario = Convert.ToDecimal(lbcDonador.SelectedValue);
                DialogResult = DialogResult.OK;
            }
            else
                GUI.CApp.ShowMessage("Seleccione un beneficiario para la donación", "Donaciones", true);
        }

        private void dlgDonaciones_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            { 
                case Keys.Enter:
                case Keys.F12:
                    btnAceptar_Click(null, null);
                    break;
                case Keys.Escape:
                    btnCancelar.PerformClick();
                    break;
            }
        }

        private void btnCancelar_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}

